def rozwiaz_przypadek():
    s, l = [int(x) for x in input().split()]
    konstelacja = [[] for _ in range(s)]
    for _ in range(l):
        a, b = [int(x) for x in input().split()]
        a -= 1
        b -= 1
        konstelacja[a].append(b)
        konstelacja[b].append(a)
    rozgalezienia = 0
    for gwiazda in konstelacja:
        if len(gwiazda) == 3:
            rozgalezienia += 1
        elif len(gwiazda) != 2:
            return False
    if rozgalezienia != 4:
        return False
    for i, gwiazda in enumerate(konstelacja):
        if len(gwiazda) == 2:
            sasiad_1, sasiad_2 = gwiazda
            konstelacja[sasiad_1][konstelacja[sasiad_1].index(i)] = sasiad_2
            konstelacja[sasiad_2][konstelacja[sasiad_2].index(i)] = sasiad_1
            gwiazda.clear()
    for i, gwiazda in enumerate(konstelacja):
        if gwiazda:
            if i in gwiazda:
                return False
            if len(gwiazda) == len(set(gwiazda)):
                return False
    return True

c = int(input())
for _ in range(c):
    if rozwiaz_przypadek():
        print("SUSPICIOUS")
    else:
        print("NOT SUSPICIOUS")
